<mat-dialog-content>
  <div class="container">
    <div class="paginator">
      <mat-paginator
        #paginator
        (page)="handlePageEvent($event)"
        [length]="length"
        [pageSize]="pageSize"
        [disabled]="disabled"
        [showFirstLastButtons]="showFirstLastButtons"
        [pageSizeOptions]="showPageSizeOptions ? pageSizeOptions : []"
        [hidePageSize]="hidePageSize"
        [pageIndex]="pageIndex"
        aria-label="Select page">
      </mat-paginator>
    </div>

  </div>
  <app-measurement-part-entry *ngFor="let entry of entries || []"
                              [measurementPart]="entry"></app-measurement-part-entry>
</mat-dialog-content>
<mat-dialog-actions>
  <button style="margin-right: 10px;" mat-flat-button (click)="onCloseClick()">Schließen</button>
</mat-dialog-actions>
